Skip to main content
PUT
Update the leaver details for a specific employee

Authorizations

X-Auth-Token
string
header
required

Access token obtained from OAuth2 client credentials flow

X-Org-Id
string
header
required

Organisation to scope the request to. Required when the principal can access more than one organisation; optional for single-organisation principals (the authorizer resolves it automatically).

Path Parameters

employeeId
string
required

The ID of the employee whose leaver details are to be updated

Body

application/json
finalisedOnPayslip
boolean

Whether the leaver has been reported on a finalised payslip.

leavingDate
string

The date the employee left the company.

Example:

"2024-12-31"

reason
string | null

The reason the employee left the company.

Example:

"Retirement"

issuedBy
string | null

The entity that issued the leaver certificate.

Example:

"Employer"

reportedToHmrc
boolean
default:false

Whether the leaver details have been reported to HMRC.

Example:

false

Response

Employee leaver details were successfully updated

message
object
content
object
validationIssues
object[]